package cd.casic.ci.common.pipeline.pojo.agent;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname DockerInitFileInfo
 * @Description TODO
 * @Date 2025/4/8 19:30
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "docker init 文件升级信息")
public class DockerInitFileInfo {
    @Schema(description = "文件md5值")
    private String fileMd5;
    @Schema(description = "目前只支持linux机器，所以其他系统不需要检查")
    private boolean needUpgrade;
}
