package cd.casic.ci.common.pipeline.pojo.element;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.element
 * @Project：ops-pro
 * @name：ElementProp
 * @Date：2025/03/26 16:26
 * @Filename：ElementProp
 * @description：Todo
 */
@Data
@AllArgsConstructor
@Schema(title = "插件属性")
public class ElementProp {
    private String name;
    private Object value;
    private ElementPropType type;

    public enum ElementPropType {
        VUEX_INPUT("vuex-input"),
        STAFF_INPUT("staff-input"),
        SELECTOR("selector");

        private final String value;

        ElementPropType(String value) {
            this.value = value;
        }

        public String getValue() {
            return value;
        }
    }
}
