package cd.casic.pipeline.dispatch.pojo.thirdpartyagent;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname AgentBuildInfo
 * @Description TODO
 * @Date 2025/4/8 16:18
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "构建机构建信息")
public class AgentBuildInfo {
    @Schema(title = "项目id")
    private String projectId;
    @Schema(title = "构建机id")
    private String agentId;
    @Schema(title = "流水线id")
    private String pipelineId;
    @Schema(title = "流水线名称")
    private String pipelineName;
    @Schema(title = "构建id")
    private String buildId;
    @Schema(title = "构建计数")
    private int buildNum;
    @Schema(title = "构建机编排序号")
    private String vmSeqId;
    @Schema(title = "任务名")
    private String taskName;
    @Schema(title = "状态")
    private String status;
    @Schema(title = "创建时间")
    private long createdTime;
    @Schema(title = "更新时间")
    private long updatedTime;
    @Schema(title = "工作空间")
    private String workspace;
}
