package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@Schema(title = "DevCloud制作镜像参数")
public class DevCloudImageParam {
    @Schema(title = "镜像名", required = true)
    private final String name;
    
    @Schema(title = "镜像TAG", required = true)
    private final String tag;
    
    @Schema(title = "描述", required = true)
    private final String description;
} 