package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

@Data
@AllArgsConstructor
@Schema(title = "环境信息-Node数量")
public class EnvWithNode {
    @Schema(title = "环境 Id", required = true)
    private Long envId;

    @Schema(title = "环境名称", required = true)
    private String envName;

    @Schema(title = "源项目", required = false)
    private String sharedProjectId;

    @Schema(title = "分享人", required = false)
    private String sharedUserId;
} 