package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineName
 * @Date：2025/03/24 16:23
 * @Filename：PipelineName
 * @description：Todo
 */
@Data
@AllArgsConstructor
@Schema(title = "流水线模型-修改NAME")
public class PipelineName {
    @Schema(title = "流水线修改后的名称", required = true)
    private String name;
    @Schema(title = "流水线修改前的名称", required = false)
    private String oldName;
}
