package cd.casic.ci.process.api.process.pojo.classify;

import cd.casic.ci.process.api.process.pojo.classify.enums.Condition;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineViewFilterByPacRepo
 * @Date：2025/03/24 20:05
 * @Filename：PipelineViewFilterByPacRepo
 * @description：Todo
 */
@Data
@Schema(title = "流水线视图-通过PAC仓库过滤", description = "filterByPacRepo")
public class PipelineViewFilterByPacRepo extends PipelineViewFilter {

    public static final String CLASS_TYPE = "filterByPacRepo";
    @Schema(title = "条件", required = false)
    private Condition condition;
    @Schema(title = "代码库HashId", required = false)
    private String repoHashId;
    @Schema(title = "文件夹名称", required = false)
    private String directory;
    public static final String classType = "filterByPacRepo";
}
