package cd.casic.ci.process.api.process.pojo.setting;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.setting
 * @Project：ops-pro
 * @name：PipelineBranchVersion
 * @Date：2025/03/24 20:21
 * @Filename：PipelineBranchVersion
 * @description：Todo
 */
@Data
@Schema(title = "流水线分支版本")
public class PipelineBranchVersion {
    @Schema(title = "项目id", required = false)
    private String projectId;
    @Schema(title = "流水线id", required = false)
    private String pipelineId;
    @Schema(title = "分支名", required = false)
    private String branch;
    @Schema(title = "版本号", required = false)
    private int version;
    @Schema(title = "创建者", required = false)
    private String creator;
    @Schema(title = "更新者", required = false)
    private String updater;
    @Schema(title = "创建时间", required = false)
    private LocalDateTime createTime;
    @Schema(title = "更新时间", required = false)
    private LocalDateTime updateTime;
}
