package cd.casic.pipeline.store.api.template;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.common.classify.Classify;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Tag(name = "USER_MARKET_TEMPLATE_CLASSIFY", description = "模板-模板分类")
@RestController
@RequestMapping("/user/market/template/classifys")
public interface UserTemplateClassifyResource {

    @Operation(summary = "获取所有模板分类信息")
    @GetMapping("/")
    CommonResult<List<Classify>> getAllTemplateClassifys();
}