package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@Schema(title = "流水线-插件执行包相关信息修改请求报文体")
public class AtomPkgInfoUpdateRequest {
    @Schema(title = "插件代码", required = true)
    private String atomCode;
    @Schema(title = "插件版本号", required = true)
    private String version;
    @Schema(title = "插件环境信息", required = false)
    private List<AtomEnvRequest> atomEnvRequests;
    @Schema(title = "task.json参数", required = false)
    private Map<String, Object> taskDataMap;
    @Schema(title = "重新上传标识", required = true)
    private Boolean reUploadFlag = false;
}