package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.util.List;

@Data
@Schema(title = "插件替换请求报文")
public class AtomReplaceRequest {
    @Schema(title = "被替换插件代码", required = true)
    private String fromAtomCode;
    @Schema(title = "替换插件代码", required = true)
    private String toAtomCode;
    @Schema(title = "插件版本替换信息集合", required = true)
    private List<AtomVersionReplaceInfo> versionInfoList;
    @Schema(title = "需替换的流水线ID集合", required = false)
    private List<String> pipelineIdList;
}