package cd.casic.pipeline.store.pojo.common.sensitive;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "新增敏感数据请求包体")
public class SensitiveConfReq {
    @Schema(title = "字段名称", required = true)
    private String fieldName;
    
    @Schema(title = "字段值", required = true)
    private String fieldValue;
    
    @Schema(title = "字段类型 BACKEND:后端使用，FRONTEND:前端使用，ALL:前后端使用", required = true)
    private String fieldType;
    
    @Schema(title = "字段描述", required = false)
    private String fieldDesc;
}