package cd.casic.pipeline.environment.constant;

/**
 * @author by mianbin
 * @Classname Constants
 * @Description TODO
 * @Date 2025/4/8 19:56
 */
public final class Constants {
    public static final long THIRD_PARTY_AGENT_HEARTBEAT_INTERVAL = 5L;
    public static final String DEFAULT_SYTEM_USER = "devops";
    public static final String BK_PROJECT_NO_ENVIRONMENT = "bkProjectNoEnvironment"; // 项目下无环境
    public static final String BK_PROJECT_NO_NODE = "bkProjectNoNode"; // 项目下无节点
    public static final String T_NODE_NODE_IP = "nodeIp";
    public static final String T_NODE_HOST_ID = "hostId";
    public static final String T_NODE_NODE_ID = "nodeId";
    public static final String T_NODE_NODE_TYPE = "nodeType";
    public static final String T_NODE_CLOUD_AREA_ID = "cloudAreaId";
    public static final String T_NODE_NODE_STATUS = "nodeStatus";
    public static final String T_NODE_AGENT_VERSION = "agentVersion";
    public static final String T_NODE_AGENT_STATUS = "agentStatus";
    public static final String T_NODE_PROJECT_ID = "projectId";
    public static final String T_NODE_CREATED_USER = "createdUser";
    public static final String T_NODE_OS_TYPE = "osType";
    public static final String T_NODE_OS_NAME = "osName";
    public static final String T_NODE_SERVER_ID = "serverId";
    public static final String T_NODE_OPERATOR = "operator";
    public static final String T_NODE_BAK_OPERATOR = "bakOperator";
    public static final String T_ENV_ENV_ID = "envId";
    public static final String T_ENVIRONMENT_THIRDPARTY_AGENT_NODE_ID = "nodeId";
    public static final String T_ENVIRONMENT_THIRDPARTY_AGENT_MASTER_VERSION = "masterVersion";
    public static final String BATCH_TOKEN_HEADER = "X-DEVOPS-AGENT-INSTALL-TOKEN"; // 批量安装agent token的header

    private Constants() {
    }
}
