package cd.casic.ci.event.dispatcher;

import cd.casic.ci.event.pojo.IEvent;
import lombok.extern.slf4j.Slf4j;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.event.dispatcher
 * @Project：ops-pro
 * @name：SampleEventDispatcher
 * @Date：2025/03/25 9:57
 * @Filename：SampleEventDispatcher
 * @description：Todo
 */
@Slf4j
public class SampleEventDispatcher implements EventDispatcher<IEvent> {
    public void dispatch(IEvent... events) {
        for (IEvent event : events) {
            log.info("EventDispatcher: " + event);
        }
    }
}
