package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineIdInfo
 * @Date：2025/03/24 16:22
 * @Filename：PipelineIdInfo
 * @description：Todo
 */
@Data
@Schema(title = "流水线id模型")
@AllArgsConstructor
public class PipelineIdInfo {
    @Schema(title = "流水线id，全局唯一", required = false)
    private String pipelineId;
    @Schema(title = "流水线自增ID，主要用于权限中心的资源ID，保证项目下唯一", required = false)
    private Long id;
}
