package cd.casic.ci.process.api.process.pojo.classify;

import cd.casic.ci.process.api.process.pojo.Pipeline;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineViewAndPipelines
 * @Date：2025/03/24 19:53
 * @Filename：PipelineViewAndPipelines
 * @description：Todo
 */

@Data
@Schema(title = "")
public class PipelineViewAndPipelines {
    @Schema(title = "当前视图id", required = false)
    private String currentViewId;
    @Schema(title = "视图列表", required = false)
    private List<PipelineViewIdAndName> viewList;
    @Schema(title = "流水线页面", required = false)
    private PipelineViewPipelinePage<Pipeline> pipelinePage;
}
