package cd.casic.ci.process.api.process.pojo.setting;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.setting
 * @Project：ops-pro
 * @name：JobCommonSetting
 * @Date：2025/03/24 20:20
 * @Filename：JobCommonSetting
 * @description：Todo
 */
@Data
@Schema(title = "流水线job公共配置信息")
public class JobCommonSetting {
    @Schema(title = "每个job最大task个数", required = true)
    private int maxTaskNum;
    @Schema(title = "task公共配置", required = true)
    private TaskCommonSetting taskCommonSetting;
}
