package cd.casic.pipeline.store.pojo.atom;

import cd.casic.pipeline.store.pojo.atom.enums.AtomTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
@Schema(title = "插件信息")
public class Atom {
    @Schema(title = "插件ID")
    private String id;
    @Schema(title = "插件代码")
    private String atomCode;
    @Schema(title = "插件名称")
    private String name;
    @Schema(title = "插件类型")
    private AtomTypeEnum atomType;
    @Schema(title = "创建时间")
    private LocalDateTime createTime;
    @Schema(title = "修改时间")
    private LocalDateTime updateTime;
    @Schema(title = "服务范围")
    private List<String> serviceScope;
}