package cd.casic.pipeline.store.pojo.common.index;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "研发商店指标信息")
public class StoreIndexInfo {
    @Schema(title = "指标代码", required = true)
    private String indexCode;
    
    @Schema(title = "指标名称", required = true)
    private String indexName;
    
    @Schema(title = "图标地址", required = true)
    private String iconUrl;
    
    @Schema(title = "指标描述", required = true)
    private String description;
    
    @Schema(title = "等级名称", required = true)
    private String indexLevelName;
    
    @Schema(title = "指标状态显示", required = true)
    private String hover;
}