package cd.casic.pipeline.store.pojo.image.request;

import cd.casic.ci.common.pipeline.type.docker.ImageType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class MarketImageRelRequest {
    @Schema(title = "镜像代码", required = true)
    private String imageCode;
    
    @Schema(title = "镜像类型", required = true)
    private ImageType imageType;
}